Page MenuHomePhabricator

efl.ui.list_view
Closed, ResolvedPublic

Description

class Efl.Ui.List_View @beta

Related Objects

StatusAssignedTask
Resolvedcedric
Wontfixbu5hm4n
ResolvedNone
ResolvedNone
Resolvedzmike
ResolvedNone
Resolvedzmike
OpenNone
ResolvedNone
ResolvedNone
Resolvedbu5hm4n
OpenNone
OpenNone
OpenNone
OpenNone
Wontfixcedric
Wontfixcedric
Wontfixbu5hm4n
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
ResolvedNone
Wontfixcedric
Resolvedsegfaultxavi
Resolvedcedric
Resolvedcedric
Resolvedlauromoura
Opencedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
Resolvedcedric
bu5hm4n assigned this task to cedric.Jun 6 2019, 12:17 PM
Diffusion closed subtask T7562: efl.input.interface as Resolved.
  • Regarding the API, I expected Collection and Collection_View to be mostly the same, except in the MVVM part, but their events seem completely unrelated:
Efl.Ui.CollectionEfl.Ui.Collection_View
item,presseditem,realized
item,unpresseditem,unrealized
item,longpresseditem,focused
item,clickeditem,unfocused
item,clicked,anyitem,highlighted
item,highlighted

What is going on? Can we unify them?

I do not think that we can compare this API with anything that comes with or from Collection*. The *focused are not needed, as items are real focusable objects that have that event on themselfs, if you are just interested in which item has focus, ask the focus manager for it. *realized is something where i strongly believe that this has nothing to do with the widget, but rather with the model / factory, as those are the entities that are creating those widgets. item,highlighted is never emitted.

To the API:

  • homogeneous is not a thing anymore, the list does not care if it is homogeneous or not.
  • select_mode is in multiselectable now.
  • default_style should be part of Efl.Ui.Widget_Factory.

The rest is more or less also part of collection_view.

zmike added a comment.Sep 16 2019, 7:20 AM

Are we stabilizing this for 1.23?

cedric updated the task description. (Show Details)Sep 24 2019, 3:25 PM

Now, that Efl.Ui.CollectionView has landed this class is really simple and can be considered for being out of beta.

SanghyeonLee closed this task as Resolved.

I think this task is closed by D10035

zmike closed subtask T7578: efl.ui.view as Resolved.Sep 26 2019, 8:12 AM